%define module  WWW-Mechanize-Shell

Name:		perl-%{module}
Version:	0.46
Release:    %mkrel 2
Summary:	An interactive shell for WWW::Mechanize
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(WWW::Mechanize::FormFiller)
BuildRequires:	perl(HTML::TokeParser::Simple)
BuildRequires:	perl(Term::Shell)
BuildRequires:	perl(Hook::LexWrap)
BuildRequires:	perl(Test::Without::Module)
BuildRequires:	perl(File::Modified)
BuildRequires:	perl(Pod::Constants)
BuildRequires:	perl(Test::Inline)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module implements a www-like shell above WWW::Mechanize
and also has the capability to output crude Perl code that recreates
the recorded session. Its main use is as an interactive starting point
for automating a session through WWW::Mechanize.

%prep
%setup -q -n %{module}-%{version} 

# pod2test is gone in perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# make test don't work...
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/WWW/Mechanize/Shell.pm
%{_mandir}/*/*




%changelog
* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.46-2mdv2008.1
+ Revision: 109345
- rebuild

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdv2008.1
+ Revision: 105434
- new version

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2008.0
+ Revision: 52528
- update to new version 0.44

* Mon Jul 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.43-1mdv2008.0
+ Revision: 46894
- 0.43

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.42-1mdv2008.0
+ Revision: 20748
- 0.42


* Sun Dec 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.39-1mdv2007.0
+ Revision: 101958
- 0.39
- Import perl-WWW-Mechanize-Shell

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.36-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.36-1mdk
- 0.36

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.34-1mdk
- initial Mandriva package

